cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lars Huttar <lars_hut...@sil.org>
Subject error building Cocoon 2.1.6 on Suse Linux
Date Tue, 14 Dec 2004 15:18:31 GMT
Hi all,
Trying to build Cocoon 2.1.6 on Suse 9.2, I get this error:
=====
BUILD FAILED
/home/huttar/downloads/cocoon-2.1.6/tools/targets/compile-build.xml:239: 
The following error occurred while executing this line:
/home/huttar/downloads/cocoon-2.1.6/build/cocoon-2.1.6/temp/blocks-build.xml:546: 
Could not create task or type of type: if.

Ant could not find the task or a class this task relies upon.
=====

Searching this mailing list's archives I found the message appended at 
the bottom of this one, which suggests that the problem can be solved by 
using the Ant included with Cocoon, rather than the one on the system. 
But I've been using build.sh, which explicitly uses the provided Ant. I 
even put "echo" statements in build.sh that verify that tools/bin/ant is 
being used. Nor have I modified any Ant settings (this is a new Linux 
installation).
So... any other ideas?

By the way, there is a message earlier on in the build output that may 
indicate a problem:
=====
init-tasks:
Created dir: /home/huttar/downloads/cocoon-2.1.6/tools/anttasks
Compiling 5 source files to 
/home/huttar/downloads/cocoon-2.1.6/tools/anttasks
Created dir: /home/huttar/downloads/cocoon-2.1.6/tools/loader
Compiling 1 source file to /home/huttar/downloads/cocoon-2.1.6/tools/loader
Could not load definitions from resource 
net/sf/antcontrib/antcontrib.properties. It could not be found.
=====

Does it matter that antcontrib.properties could not be found?
Is this a problem in the Cocoon 2.1.6 source distro?

Thanks,
Lars


http://archives.real-time.com/pipermail/cocoon-users/2004-July/054384.html 
<https://mail.jaars.org/Redirect/archives.real-time.com/pipermail/cocoon-users/2004-July/054384.html>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

gian paolo ciceri wrote:
| Hello all,
| I'm sorry but I'm not able to build cocoon on my Gnu/Linux Fedora Core 2
|

Well, I'm happy to reply to myself - it works.

It was only a matter to remove JPackage ant
and any settings I've done to use other ants.

Thanks to anyone that lost time
thinking what could be wrong.

Bye
/gp


| Trying
|
| ./build.sh
|
| I take....
|
| BUILD FAILED
|
/home/gpciceri/works/setMediaCms/src/cocoon-2.1.5.1/tools/targets/compile-build.xml:172:

|
| The following error occurred while executing this line:
|
/home/gpciceri/works/setMediaCms/src/cocoon-2.1.5.1/build/cocoon-2.1.5.1/temp/blocks-build.xml:1162:

|
| Could not create task or type of type: if.
|
| I've tried both sun JDK1.4.2 and IBM 1.4.1
| I've tried both ant 1.6.2, and 1.6.1

Silly boy, use the cocoon-included ant !


|
| I've copied xalan, xercesImpl and xml-api
| from cocoon-2.1/lib/endorsed to $JAVA_HOME/jre/lib/endorsed
| as in instructions.
|
|
| Any helping hand will be appreciated:
| on MacOsX it took 30 min to have the system
| up and running.
|
|
| TIA
| /gp
|
|
|
|
| --
| gian paolo ciceri - japanman
| suddenthinks, excellence through refactoring
| ++39 340 7218101
| gp.ciceri at acm.org
| gp.ciceri at suddenthinks.com


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message